Contents

# CSng Function

Converts any string or numeric expression to data type Single.

### Syntax:

    CSng (Expression As Variant) As Single

### Return type:

Single

### Parameters:

Expression: Any string or numeric expression that you want to convert. To convert a string expression, the number must be entered as normal text using the default number format of your LibreOffice locale settings. For instance, the number must be entered using a dot "." as the decimal point and a comma "," as the thousands separator (for instance 123,456.78) for the English locale setting.

### Error codes:

5 Invalid procedure call

### Example:

Numeric expressions are displayed according to LibreOffice locale settings:

    Sub ExampleCountryConvert
        MsgBox CDbl(1234.5678) ' 1234.5678
        MsgBox CInt(1234.5678) ' 1235
        MsgBox CLng(1234+5678) ' 6912
        MsgBox CSng(1234.5678) ' 1234.567749023

        MsgBox CDbl(expression := 5678.1234) ' 5678.1234
        MsgBox CInt(expression := 5678.1234) ' 5678
        MsgBox CLng(expression := 5678+1234) ' 6912
        MsgBox CSng(expression := 5678.1234) ' 5678.123535156
    End Sub

Related Topics

CBool Function

CByte Function

CCur Function

CDate Function

CDbl Function

CDec Function

CInt Function

CLng Function

CStr Function